Bug 176963 - x11-toolkits/vte: need update after gtk2 update
Summary: x11-toolkits/vte: need update after gtk2 update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-14 18:00 UTC by Lawrence Chen
Modified: 2013-03-15 21:40 UTC (History)
1 user (show)

See Also:


Attachments
patch-src_vte.c (1018 bytes, text/x-csrc)
2013-03-14 21:16 UTC, Lawrence Chen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lawrence Chen 2013-03-14 18:00:00 UTC
	After the update of gtk20, alt key is not working in gnome-terminal.

Fix: 

After rebuild various ports and then some online searching, I found
	this:

	https://ask.fedoraproject.org/question/7768/after-update-to-gtk2-2248-2-meta-and-alt-keys-no-longer-works/

	Where it appears this: https://bugzilla.gnome.org/show_bug.cgi?id=663779

	suggests that updating vte is needed to restore alt key usage.  The
	discussions refer to a patched 0.28.2. (not sure what the patch is yet.)

	Which is probably necessary because that's the last version that
	supports GTK2 and the fix for #663779 is in 0.32.2.
How-To-Repeat:         Run an application that uses alt keys - such as irssi in a
	gnome-terminal where alt keys used to work, update gtk20 now they don't.
Comment 1 Edwin Groothuis freebsd_committer 2013-03-14 18:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Lawrence Chen 2013-03-14 21:16:01 UTC
Well, I tracked down the patch for #663779 and applied it to the current
vte-0.26.2, and starting a new gnome-terminal (and without having kill all my
other instances) found the ALT key is working as expected in this new
gnome-terminal.
Comment 3 dfilter service freebsd_committer 2013-03-15 21:39:30 UTC
Author: kwm
Date: Fri Mar 15 21:39:16 2013
New Revision: 314323
URL: http://svnweb.freebsd.org/changeset/ports/314323

Log:
  Restore alt keys after gtk20 update.
  While here convert to OptionsNG.
  
  PR:		ports/176963
  Submitted by:	Lawrence Chen <beastie@tardisi.com>
  Obtained from:	upstream git / Gnome bug 663779

Added:
  head/x11-toolkits/vte/files/patch-src_vte.c   (contents, props changed)
Modified:
  head/x11-toolkits/vte/Makefile   (contents, props changed)

Modified: head/x11-toolkits/vte/Makefile
==============================================================================
--- head/x11-toolkits/vte/Makefile	Fri Mar 15 21:03:16 2013	(r314322)
+++ head/x11-toolkits/vte/Makefile	Fri Mar 15 21:39:16 2013	(r314323)
@@ -4,7 +4,7 @@
 
 PORTNAME=	vte
 PORTVERSION=	0.26.2
-PORTREVISION?=	3
+PORTREVISION?=	4
 CATEGORIES=	x11-toolkits gnome
 MASTER_SITES=	GNOME
 DIST_SUBDIR=	gnome2
@@ -30,7 +30,15 @@ CONFIGURE_ARGS?=--disable-python \
 		--disable-freetypetest
 
 .if !defined(MASTERDIR)
-OPTIONS=	GLX	"Enable support for DRI/GLX rendering" off
+OPTIONS_DEFINE=	GLX
+GLX_DESC=	Support for DRI/GLX rendering
+.endif
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MGLX} && !defined(MASTERDIR)
+CONFIGURE_ARGS+=	--with-glX
+USE_GL=			yes
 .endif
 
 .include <bsd.port.pre.mk>
@@ -39,11 +47,6 @@ OPTIONS=	GLX	"Enable support for DRI/GLX
 EXTRA_PATCHES+=		${FILESDIR}/extra-patch-gnome-pty-helper_gnome-utmp.c
 .endif
 
-.if defined(WITH_GLX) && !defined(MASTERDIR)
-CONFIGURE_ARGS+=	--with-glX
-USE_GL=			yes
-.endif
-
 .include <bsd.port.post.mk>
 
 .endif

Added: head/x11-toolkits/vte/files/patch-src_vte.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-toolkits/vte/files/patch-src_vte.c	Fri Mar 15 21:39:16 2013	(r314323)
@@ -0,0 +1,33 @@
+--- src/vte.c.orig	2010-11-13 06:18:41.000000000 -0600
++++ src/vte.c	2013-03-14 15:59:37.761401135 -0500
+@@ -4914,16 +4914,23 @@
+ vte_terminal_read_modifiers (VteTerminal *terminal,
+ 			     GdkEvent    *event)
+ {
++	GdkKeymap *keymap;
+ 	GdkModifierType modifiers;
+ 
+ 	/* Read the modifiers. */
+-	if (gdk_event_get_state((GdkEvent*)event, &modifiers)) {
+-		GdkKeymap *keymap;
+-		keymap = gdk_keymap_get_for_display (
+-				gdk_drawable_get_display (((GdkEventAny *)event)->window));
+-		gdk_keymap_add_virtual_modifiers (keymap, &modifiers);
+-		terminal->pvt->modifiers = modifiers;
+-	}
++	if (!gdk_event_get_state((GdkEvent*)event, &modifiers))
++		return;
++
++	keymap = gdk_keymap_get_for_display (
++			gdk_window_get_display (((GdkEventAny*)event)->window));
++
++	gdk_keymap_add_virtual_modifiers (keymap, &modifiers);
++
++	/* HACK! Treat ALT as META; see bug #663779. */
++	if (modifiers & GDK_MOD1_MASK)
++		modifiers |= VTE_META_MASK;
++
++	terminal->pvt->modifiers = modifiers;
+ }
+ 
+ /* Read and handle a keypress event. */
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Koop Mast freebsd_committer 2013-03-15 21:39:38 UTC
State Changed
From-To: open->closed

Committed thanks!